CLEAR ALL
n=30
DIM a$(n)
FOR i=1 TO n:a$(i)=STR$(i):NEXT i
PrintArray("String Array")
ARRAY INSERT a$(n/2),STR$(1000)
PrintArray("String Array Insert")
ARRAY DELETE a$(n/2)
PrintArray("String Array Delete")
ARRAY REVERSE a$() SLICE 1,n
PrintArray("String Array Reverse")
ARRAY SHUFFLE a$() SLICE 1,n
PrintArray("String Array Shuffle")
ARRAY SORT a$() SLICE 1,n
PrintArray("String Array Sort")
END
FUNCTION PrintArray(d$)
    SHARE n,a$()
    CLS
    INK RGB(255,255,255)
    PRINT LINE CENTER d$,,RGB(0,0,255)
    FOR i=1 TO n:PRINT a$(i):NEXT i
    GETKEY b$
END FUNCTION
